{ lib, buildGoModule, fetchFromGitHub }: 
buildGoModule rec {
  pname = "koneko";
  version = "1.0";

  src = fetchFromGitHub {
    owner = "irevenko";
    repo = "koneko";
    rev = "e6c3f62";
    sha256 = "5QMqlZrGEzGwmIr3cB3N12A/bYwoRs94bmPnkIUWOZ8=";
  };

  vendorSha256 = "m3k/f2W+aLUf67c0WmTIN2Ym+K+/DoYe4shau8ccOE4=";

  # runVend = true;

  outputs = [ "out" ];

  meta = with lib; {
    description = "nyaa.si terminal BitTorrent tracker";
    longDescription = "Download Anime, Literature, Audio, Live Action, Pictures, Software and more!";
    homepage = "https://github.com/irevenko/koneko";
    license = licenses.mit;
    maintainers = [ maintainers.h7x4 ];
    platforms = platforms.linux;
  }; 
}
